[@rxap/socket-io](../wiki/globals) / provideSocketIo

# Function: provideSocketIo()

> **provideSocketIo**(...`providers`): `Provider`[]

Defined in: [provide.ts:18](https://gitlab.com/rxap/packages/-/blob/3eebed1be2bbb37bc0d65959f8fecbb850c0b8aa/packages/angular/socket-io/src/lib/provide.ts#L18)

## Parameters

### providers

...`Provider`[]

## Returns

`Provider`[]
